CANVAS_INIT_WIN_SCALE(3)

FUNCTION
canvas_init_win_scale - Initialise win_scale structure.

SYNOPSIS
#include <karma_canvas.h>

void canvas_init_win_scale

(struct win_scale_type *win_scale, unsigned int magic_number)

DESCRIPTION
This routine will initialise a window scaling structure with sensible values. This routine may be used prior to calling <canvas_create>.

win_scale
    A pointer to the window scaling structure.

magic_number
    The value of this must be K_WIN_SCALE_MAGIC_NUMBER.

RETURN VALUE
Nothing.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/